commit:     4fbc88cb60bd8dcd547a8800726eeb24155c173b
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 26 14:53:12 2023 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue Jun 27 13:38:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fbc88cb

x11-wm/xpra: migrate to PEP517.

A /usr/etc installation location bug is unveiled.  Fix it.

Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 x11-wm/xpra/xpra-4.4.6-r1.ebuild | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/x11-wm/xpra/xpra-4.4.6-r1.ebuild b/x11-wm/xpra/xpra-4.4.6-r1.ebuild
index 70ff28512e72..b9dcf632b0fc 100644
--- a/x11-wm/xpra/xpra-4.4.6-r1.ebuild
+++ b/x11-wm/xpra/xpra-4.4.6-r1.ebuild
@@ -12,11 +12,11 @@ else
 fi
 
 PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
 DISTUTILS_SINGLE_IMPL=yes
-DISTUTILS_USE_SETUPTOOLS=no
 DISTUTILS_EXT=1
 
-inherit xdg xdg-utils distutils-r1 prefix tmpfiles udev
+inherit xdg xdg-utils distutils-r1 multibuild prefix tmpfiles udev
 
 DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based 
on wimpiggy"
 HOMEPAGE="https://xpra.org/";
@@ -193,6 +193,14 @@ python_test() {
 python_install_all() {
        distutils-r1_python_prepare_all
 
+       # Switching to PEP517 gives /usr/etc. Previously, setup.py hardcodes
+       # if root_prefix.endswith("/usr"):
+       #     root_prefix = root_prefix[:-4]
+       # But now setuptools uses data/* to represent out-of-sitedir files.
+       # The upstream hack no longer works. We are on our own.
+
+       mv -v "${ED}"/usr/etc "${ED}"/ || die
+
        # Move udev dir to the right place if necessary.
        if use udev; then
                local dir=$(get_udevdir)

Reply via email to